Subject: Re: [PATCH 2/2] usbnet: Fix a race between usbnet_stop() and the BH

From: Bjørn Mork <[email-masked]>
Date: Mon, 31 Aug 2015 09:32:54 +0200

Eugene Shatokhin <[email-masked]> writes:
> 28.08.2015 11:55, Bjørn Mork пишет:
>
>> I guess you are right.  At least I cannot prove that you are not :)
>>
>> There is a bit too much complexity involved here for me...
>
> :-)
>
> Yes, it is quite complex.
>
> I admit, it was easier for me to find the races in usbnet (the tools
> like KernelStrider and RaceHound do the dirty work) than to analyze
> their consequences. The latter often requires some time and effort,
> and so it did this time.
>
> Well, any objections to this patch?

No objections from me.

But I would have liked it much better if the code became simpler instead
of more complex.

Bjørn